var curFolder = "INBOX";
var curStart = 1;

var gLastID = null;

var tools = self;

var s_msglstjs_deleteconfirm="You are about to permanently remove the selected messages. Do you want to continue?";
var s_msglstjs_keepnewnoselect="Please select messages to keep as new by using the checkboxes";
var s_msglstjs_filenoselect="Please select messages to file by using the checkboxes";
var s_msglstjs_nofolderselected="Please select a destination folder";
var s_msglstjs_deletenoselect="Please select messages to delete by using the checkboxes";

function initStrings(a,b,c,d,e)
{
	s_msglstjs_deleteconfirm=a;
	s_msglstjs_keepnewnoselect=b;
	s_msglstjs_filenoselect=c;
	s_msglstjs_nofolderselected=d;
	s_msglstjs_deletenoselect=e;
}

function initp(inFolder, inStart)
{
	if (!isNaN(inStart))
	{
		curStart = inStart;	
	}
	if (inFolder && inFolder.length && inFolder.length > 0)
		curFolder = inFolder;

}

function keepAsNew(theform)
{
	if (theform)
	{
		if (anyChecked(theform) == false)
			alert(s_msglstjs_keepnewnoselect);
		else
		{
			theform.cmd.value="keepAsNew";
			theform.submit();
		}
	}
	return false;
}

//Used for the select lists that file the currently selected messages
function fileTo(inFolderName, theform)
{
	if (theform)
	{
		if (inFolderName)
		{
			if (anyChecked(theform) == true)
			{
				theform.moveToFolder.value = inFolderName;
				theform.cmd.value = "moveMessage";
				theform.submit();
			}
			else
				alert(s_msglstjs_filenoselect);
		}
		else
		{
			alert(s_msglstjs_nofolderselected);
		}
	}
}

function doDelete(theform)
{
	if (theform)
	{	
		if (anyChecked(theform) == false)
			alert(s_msglstjs_deletenoselect);
		else
		{
			if( msgDeleteConfirm )
			{
			  if( confirm(s_msglstjs_deleteconfirm) )
				_doDelete(theform);
			}
			else
				_doDelete(theform);
		}
	}
	return false;
}

function _doDelete(theform)
{
	theform.cmd.value="deleteMessage";
	theform.submit();
}

function OpenComposeWin()
{
	window.open("compose.tmpl?cmd=compose&folder="+curFolder+"&start="+curStart+"&exittmpl=msglst.tmpl", "_blank");
}

function OpenDraft(href)
{
	href += "&cmd=viewDraft&exittmpl=msglst.tmpl&popup=true";
	openWin(href, '_blank', 750, 600, true, false);
}

function new_win(linkRef)
{
	/* call this from an onclick handler of any link if you want double clicks to  open in a new window*/
	/* call like this: <A HREF ="..." onclick="return new_win(this);"> */
	if (gLastID)
	{
		/* this is the second of a double click */
		/* open a new window */
		clearTimeout(gLastID);

		window.open(linkRef.href, "_blank");
		gLastID = null;

		return false;
	}
	else
	{
		/* first double click, set a timeout to load the location in the current Window */
		gLastID = setTimeout(openHere, 500, linkRef.href);
		return false;
	}
}

function openHere(inURL)
{
	self.location = inURL;
	gLastID = null;	
}

function anyChecked(theform)
{
	if (theform)
	{
		var t = theform.elements.length;
		var somethingChecked = false;

		for (var i = 0; i < t; i++) {
			if (theform.elements[i].name == "MessageUID" && theform.elements[i].checked==true) 
			{
				somethingChecked = true;
				break;
			}
		}

		if (somethingChecked)
			return true;
		else
			return false;
	}
	else
		return false;
}

function selectAllMessages(theform) {
	if (theform)
	{
	    var len = theform.elements.length
	    var c = 0
	    if (theform.checkall.checked) {
		c = 1
	    }
	    for (var i = 0; i < len; i++) {
			if (theform.elements[i].name == "MessageUID") {
			    theform.elements[i].checked = c
			}
	    }
	}
}

function selectMessage(theform) {
    if (theform && theform.checkall.checked) {
		theform.checkall.checked = 0
    }
}
